CASSIOPEE(1)

NAME
cassiopee - index and search tool in genomic sequences

SYNOPSIS
cassiopee [Options] <sequence>

DESCRIPTION
Cassiopee index and search library C implementation. It is a complete rewrite of the ruby Cassiopee gem. It scans an input genomic sequence (dna/rna/protein) and search for a subsequence with exact match or allowing substitutions (Hamming distance) and/or insertion/deletions.

OPTIONS

-l: maximum index depth / maximum pattern size

-u: save index for later use

-s: sequence to index

-p: pattern to search

-f: file containing pattern to search

-o: output file

-r: apply tree reduction

-m: search mode: 0=DNA, 1=RNA, 2=Protein

-a: allow alphabet ambiguity search

-n: max consecutive N allowed matches in search

-e: max substitution allowed matches in search

-i: max indel allowed matches in search

-g: generates a dot file of the graph

-d: max depth of the graph

-t: output format: 0:tsv (default), 1:json

-x: minimum position in sequence

-y: maximum position in sequence

-v: show version

-h: show this message